* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  text-decoration: none;
}
html {
  font-size: 62.5%;
  overflow-x: hidden;
  font-family: Tahoma;
  scroll-padding-top: 5.5rem;
  scroll-behavior: smooth;
}
section {
  padding: 2rem 5%;
}
section:nth-child(odd) {
  background: #f7f7f7;
}
.btn {
  font-size: 1.7rem;
  display: inline-block;
  background-color: rgb(98, 182, 238);
  color: white;
  border-radius: 4px;
  cursor: pointer;
  padding: 3px 3px;
  width: 50%;
  height: 2.5rem;
  transition: 0.4s all ease;
}
.btn:hover {
  width: 70%;
}
nav {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  background: white;
  padding: 1rem 7%;
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  justify-content: space-between;
  z-index: 10;
  box-shadow: 0 0.5px 1.5rem #959595;
}
nav .logo {
  color: black;
  font-size: 2.5rem;
  font-weight: bolder;
}
nav .menuWapper a {
  font-size: 1.7rem;
  border-radius: 0.5rem;
  padding: 0.5rem 1.5rem;
  color: rgb(17, 16, 16);
  text-transform: capitalize;
}
nav .menuContainer .menuWapper a.active,
nav .menuContainer .menuWapper a:hover {
  color: #fff;
  background-color: rgb(98, 182, 238);
}
.menuContainer span {
  display: none;
}
/* .sidebar{
 transition: 0.7s ease-in;
}
.sidebarlist {
  width: 20%;
  height: auto;
  position: absolute;
  text-align: center;
  padding: 10px;
  right: -10%;
  font-size: 12px;
  border-radius: 4px;
  margin: 25px -15rem 0;
  background-color: black;
  opacity: 50%;
  color: white;
}
*/
.navbar-icons {
  padding-right: 25px;
  justify-content: space-between;
  align-items: center;
  display: flex;
}
/* .tooltip {
  display: block;
  width: 40px;
  position: relative;
  align-items: center;
  justify-content: space-around;
  height: 40px;
  right: 70px;
  top: 10px;
  position: relative;
}
.rating-container {
  display: inline-block;
  text-align: center;
}
.tooltip-content {
  visibility: hidden;
  background-color: transparent;
  color: black;
  right: 75%;
  top: 89%;
  font-size: 13px;
  text-align: center;
  width: 60px;
  height: 20px;
  border-radius: 6px;
  display: block;
  position: absolute;
}
.tooltip:hover ~ .tooltip-content {
  visibility: visible;
} */

.sidbar i {
  display: block;
  z-index: 100;
  transition: 0.4s;
}
.sidbar i:hover {
  margin-left: 6%;
}
.sidbar span {
  color: white;
  font-size: 20px;
  z-index: 10;
  cursor: pointer;
  float: right;
}
.sidbar {
  position: absolute;
  background-color: black;
  opacity: 50%;
  width: 200px;
  height: 200px;
  z-index: -1;
  padding: 10px;
  float: left;
  border-radius: 5px;
  right: -25%;
  margin-top: 20%;
  transition: 0.7s;
}

/*styling for home-page stars here*/
.home {
  padding: 2.5%;
}
.container {
  padding: 1.4rem;
  display: flex;
  flex-wrap: wrap;
}
.article {
  text-align: center;
  margin: 18% auto;
  max-width: 40%;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: space-around;
}
h1 {
  text-align: center;
  top: -50%;
  transform: translateY(-50%);
  font-size: 45px;
  font-family: Tahoma;
  font-weight: bolder;
  color: rgb(98, 182, 238);
}
h2 {
  color: rgb(163, 205, 233);
  font-size: 25px;
  font-weight: 900;
}
h3 {
  font-size: 20px;
  font-weight: 700;
}
p {
  font-size: 14px;
  font-weight: 500;
}
span {
  font-size: 18px;
  font-family: Tahoma;
  font-weight: 500;
}
.image-wrapper {
  display: grid;
  grid-template-columns: repeat(2, 200px);
  gap: 1rem;
  margin-top: 1rem;
  position: relative;
  padding: 10rem 5rem 0rem;
}
.image-wrapper img {
  width: 91%;
  height: auto;
  object-fit: cover;
}
.image-wrapper .box {
  padding: 12px;
  border-radius: 5px;
  border: 1px solid rgb(98, 182, 238);
  box-shadow: 0.2px 0.2px 5px #959595;
  position: relative;
  overflow: hidden;
}
.image-wrapper .box a {
  text-decoration: none;
  text-align: center;
  font-size: 13px;
}
.icons {
  display: none;
  align-items: center;
  justify-content: space-between;
}
.box:hover .icons {
  display: flex;
}
.icons i:focus-within {
  color: rgb(98, 182, 238);
  background-color: #fff;
}
.icons button {
  border: none;
  background-color: transparent;
  outline: none;
}
.icons button:focus {
  color: rgb(98, 182, 238);
}
/*styling for menu-page starts here*/

.menu{
  width: 100%;
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
}

.menu h2,
p {
  text-align: center;
  font-family: Tahoma;
}
.menu-image-wrapper {
  display: flex;
  flex-direction: column;
  padding: 10px;
  box-sizing: border-box;
  width: 100%;
}
.menu-wrapper1::-webkit-scrollbar,
.menu-wrapper2::-webkit-scrollbar
{
  height: 2px;
  border-radius: 5px;
}
.menu-wrapper1::-webkit-scrollbar-thumb,
.menu-wrapper2::-webkit-scrollbar-thumb
{
  background: #dfdfdf;
}
.menu-wrapper1 , .menu-wrapper2{
  display: flex;
  width: 100%;
  justify-content: flex-start;
  padding: 20px;
  align-items: center;
  flex-direction: row;
  margin-top: 1rem;
  gap: 2rem;
}
.menu-wrapper1 img, .menu-wrapper2 img {
  width: 171px;
  height: 171px;
  object-fit: cover;
}
.menu-wrapper1 .box , .menu-wrapper2 .box{
  padding: 2rem;
  border-radius: 5px;
  width: 205px;
  background-color: #fff;
  border: 1px solid rgb(98, 182, 238);
  justify-content: space-between;
  box-shadow: 0.2px 0.2px 5px #959595;
}
.menu-wrapper1  .box a  , .menu-wrapper2 .box a{
  text-decoration: none;
  text-align: center;
  font-size: 13px;
}
#showmore {
  display: none;
  width: 55px;
  height: 20px;
  background-color: rgb(98, 182, 238);
  text-align: center;
  color: white;
  font-size: 10px;
  padding: 3px;
  border-radius: 3px;
  margin-top: 10px;
}
/* styling for services section*/
.services {
  padding: 3rem;
}
.article-2 {
  max-width: 300px;
  margin-top: -50rem;
  position: absolute;
  margin-left: 60%;
  justify-content: right;
  text-align: center;
}
.btn-2 {
  font-size: 1.7rem;
  display: inline-block;
  background-color: rgb(98, 182, 238);
  color: white;
  border-radius: 4px;
  cursor: pointer;
  padding: 3px 3px;
  width: 10rem;
  text-align: center;
  margin-left: 20%;
  height: 2.5rem;
  transition: 0.4s all ease;
}
h4 {
  font-size: 1.3rem;
}
#services img {
  justify-content: left;
  display: flex;
}

/*styling for about section*/
.about p::before {
  content: "->";
  color: rgb(98, 182, 238);
}
.about {
  justify-content: space-evenly;
  flex-wrap: wrap;
}
.about h2 {
  text-align: center;
}
.about h3 {
  line-height: 5rem;
}
.button-wrapper {
  display: flex;
  position: relative;
  justify-content: space-around;
  line-height: 5rem;
  flex-direction: column;
}
.box-2 {
  width: 19rem;
  height: 7.5rem;
  display: inline-flex;
  padding: 1rem;
  background-color: #fff;
  border: 1px solid rgb(98, 182, 238);
  border-radius: 6px;
}
.box-2 img {
  width: 4.5rem;
  height: 4.5rem;
}
.box-2 p {
  color: rgb(152, 208, 245);
  font-size: medium;
  font-weight: 500;
}

/*styling for review section starts here*/
.review {
  padding: 3rem;
}
.review p,
.review h2 {
  text-align: center;
}
.article-container {
  display: flex;
  margin-top: 5%;
  padding: 20px;
  gap: 10px;
  justify-content: center;
  flex-wrap: wrap;
}
.article-wrapper {
  background-color: white;
  padding: 10px;
  display: inline-flex;
  flex-direction: column;
  width: 30%;
  border: 1px solid rgb(98, 182, 238);
  border-radius: 6px;
}
.article-wrapper p {
  padding-top: 20%;
}
/*styling for order section*/
.order h2 {
  text-align: center;
}
.order-component {
  display: flex;
  width: 70%;
  height: auto;
  flex-wrap: wrap;
  border: 1px solid #eeeeee;
  justify-content: space-evenly;
  box-shadow: 0.5px 0.5px 10px #e2e2e2;
  padding: 1%;
  margin: 10% auto;
  box-sizing: border-box;
}
label {
  display: block;
}
fieldset {
  border: none;
  line-height: 20px;
}
fieldset input {
  width: 100%;
  height: 30px;
  border: none;
  padding-left: 10px;
  border-radius: 5px;
  background-color: #eeeeee;
  color: black;
}
textarea {
  padding: 10px;
  width: 100%;
  top: 10%;
  color: black;
  resize: none;
  background-color: #eeeeee;
}
.submit {
  width: 10%;
  height: auto;
  background-color: rgb(163, 205, 233);
  border-radius: 5px;
  text-align: center;
  padding: 5px;
  color: white;
}

/*styling for footer*/
footer {
  padding: 10px;
  background-color: rgb(199, 229, 250);
  color: whitesmoke;
}
footer h4 {
  text-align: center;
}



@media only screen and (max-width:3280px) {
  .about{
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
  }
  .about-content{
  width: 100%;
  padding: 10px;
  line-height: 45px;
  }
  .about-content p{
    font-size: 20px;
    text-align: center;
  }
  .about small{
    font-size: 15px;
  }
  .button-wrapper {
    width: 100%;
    position: relative;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    gap: 10px;
   align-items: center;
  }
}

@media only screen and (max-width:1280px) {
  .about{
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
  }
  .about-content{
  width: 100%;
  padding: 10px;
  line-height: 45px;
  }
  .about-content p{
    font-size: 20px;
    text-align: center;
  }
  .about small{
    font-size: 15px;
  }
  .button-wrapper {
    width: 100%;
    position: relative;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    gap: 10px;
   align-items: center;
  }
}

/* RESPOSIVENESS */
@media only screen and (max-width: 1024px) {
  .menu-wrapper .box {
    width: 35%;
  }
  .image-wrapper {
    margin-left: 20%;
  }
  .hidden1 {
    display: none;
  }
  .hide2 {
    visibility: hidden;
  }
  .menu-image-wrapper {
    display: flex;
    width: 100%;
    flex-wrap: wrap;
  }
  .menu-wrapper1 , .menu-wrapper2{
    display: flex;
    width: 900px;
    flex-direction: row;
    margin-top: 1rem;
    gap: 2rem;
    overflow-x: scroll;
  }
  .menu-wrapper1 img, .menu-wrapper2 img {
    width: 171px;
    object-fit: cover;
  }
  .menu-wrapper1 .box , .menu-wrapper2 .box{
    padding: 2rem;
    border-radius: 5px;
    width: 205px;
    background-color: #fff;
    border: 1px solid rgb(98, 182, 238);
    justify-content: space-between;
    box-shadow: 0.2px 0.2px 5px #959595;
}
.about{
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}
.about-content{
width: 100%;
padding: 10px;
line-height: 45px;
}
.about-content p{
  font-size: 18px;
  text-align: center;
}
.about small{
  font-size: 15px;
}
.button-wrapper {
  display: flex;
  width: 100%;
  position: relative;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: center;
  gap: 6px;
 align-items: center;
}
}
.iconHolder i {
  display: none;
}
@media (max-width: 868px) {
  .menu-wrapper .box {
    width: 35%;
  }
  .image-wrapper {
    margin-left: 15%;
  }
  .hide2 {
    visibility: hidden;
  }
  .hidden {
    display: none;
  }
}
@media (max-width: 768px) {
  .menuContainer {
    position: absolute;
    height: 100vh;
    width: 70%;
    background-color: rgba(109, 194, 228, 0.212);
    color: #fff;
    right: 0;
    top: 0;
    display: none;
    backdrop-filter: blur(10px);
  }
  .hide2 {
    visibility: visible;
  }
  #menuWrapper {
    padding: 13px;
  }
  .menuContainer span {
    display: block;
    font-size: 30px;
    color: black;
    cursor: pointer;
  }
  .iconHolder i {
    font-size: 18px;
    display: block;
  }
  .menuWapper a {
    display: block;
    z-index: 10;
  }
  .sidbar {
    display: none;
  }
  #dot {
    display: none;
  }
  .rating-container {
    display: none;
  }
  .article {
    text-align: center;
    position: absolute;
    margin: 18% 25%;
    max-width: 50%;
    display: block;
    justify-content: space-around;
  }
  .image-wrapper {
    display: grid;
    grid-template-columns: repeat(2, 200px);
    grid-gap: 1rem;
    margin-top: 30rem;
    margin-left: 17%;
    position: relative;
    padding: 10rem 5rem 0rem;
    width: 80%;
  }
  .menu-wrapper1 img, .menu-wrapper2 img {
    width: 180px;
    object-fit: cover;
  }
  .menu-image-wrapper {
    display: flex;
  }
  .menu-wrapper1 .box , .menu-wrapper2 .box{
    padding: 1rem;
    width: 205px;
    border-radius: 5px;
    background-color: #fff;
    border: 1px solid rgb(98, 182, 238);
    justify-content: space-between;
    box-shadow: 0.2px 0.2px 5px #959595;
    position: relative;
  }
  .menu-wrapper1 , .menu-wrapper2{
    margin-top: 1rem;
    width:650px;
    overflow-x: scroll;
  }
  .btn:hover {
    width: 60%;
    background-color: rgb(59, 135, 185);
  }
  .article-2 {
    align-items: center;
    padding: 10px;
    position: absolute;
    margin-top: -40rem;
  }
  #services img {
    width: 50%;
    height: auto;
    display: block;
  }
  .article-2 h3 {
    font-size: 35%;
  }


  .box-2 {
    justify-content: space-evenly;
  }


  .article-2 {
    display: none;
  }
  .article {
    top: 0;
  }
  .about{
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
  }
  .about-content{
width: 100%;
padding: 10px;
line-height: 45px;
  }
  .about-content p{
    font-size: 17px;
    text-align: center;
  }
  .about small{
    font-size: 15px;
  }
  .button-wrapper {
    display: flex;
    width: 100%;
    position: relative;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    gap: 4px;
   align-items: center;
  }
}
@media only screen and (max-width: 675px) {
  .article {
    text-align: center;
  }
  .menu-wrapper1, .menu-wrapper2 {
    width: 550px;
  }
  .image-wrapper {
    margin: 60% auto;
  }
  .article-wrapper {
    width: 45%;
  }
  .menu-wrapper .box {
    width: 60%;
  }
  .article-2 {
    display: none;
  }
  .about{
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
  }
  .about-content{
width: 100%;
padding: 10px;
  }
  .about-content p{
    font-size: 16px;
    text-align: center;
  }
  .about small{
    font-size: 15px;
  }
  .button-wrapper {
    display: flex;
    position: relative;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    gap: 10px;
   align-items: center;
  }
}
@media only screen and (max-width: 575px) {
  
  .button-wrapper {
    display: flex;
    position: relative;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    gap: 10px;
   align-items: center;
  }
  .image-wrapper {
    display: flex;
  }
  .hide1 {
    visibility: hidden;
  }
  .article-2 {
    display: none;
  }
  .about-content {
    width: 98%;
  }
  .btn-2 {
    margin-left: 66%;
  }
  .article-wrapper {
    width: 45%;
  }
  .menu-wrapper .box {
    width: 66%;
  }
  .about-content p{
    font-size: 20px;
    width: 100%;
  }
  .about small{
    text-align: center;
    font-size: 15px;
  }
  .article {
    top: 10%;
    display: flex;
  }
  .image-wrapper {
    display: flex;
    visibility: hidden;
  }
}
@media only screen and (max-width: 415px) {
  .article-wrapper {
    width: 80%;
  }
  .btn-2 {
    margin-left: 66%;
  }
  .hide {
    display: none;
  }
  .menu-image-wrapper {
    display: flex;
    flex-wrap: wrap;
  }
  .menu-wrapper1, .menu-wrapper2 {
    width: 350px;
  }
  .about-content {
    width: 100%;
  }
  .box-2:nth-child(2) {
    margin-left: 0%;
  }
  .article {
    top: 10%;
    display: flex;
  }
  .image-wrapper {
    display: flex;
  }
  .hide1 {
    visibility: hidden;
  }
  .about{
    display: flex;
    flex-direction: column;
    gap: 20px;
  }
  .about-content p{
    font-size: 20px;
    border: 1px solid rgb(204, 233, 252);
    width: 100%;
  }
  .about small{
    text-align: center;
    font-size: 15px;
  }
}
@media only screen and (max-width: 375px) {
  .container{
    text-align: center;
    margin-top: 10%;
    position: relative;
  }
  .article h1 h2 p{
    justify-content: center;
    flex-direction: column;
    align-items: center;
    text-align: center;
  }
  section{
    padding: 1rem;
  }
  .image-wrapper {
    display: flex;
  }
  .btn-2 {
    margin-left: 66%;
  }
  .hide1 {
    visibility: hidden;
  }
  .menu-image-wrapper{
    overflow: hidden;
    width: 340px;
    box-sizing: border-box;
  }
  .main-course{
    overflow: hidden;
    box-sizing: border-box;
  }
  .menu-wrapper1 , .menu-wrapper2{
      width: 250px;
      padding: 30px;
    overflow-x: scroll;
  }
  .article-container {
    display: flex;
    margin-top: 5%;
    padding: 3px;
    gap: 10px;
    justify-content: center;
    flex-wrap: wrap;
  }
  .article-wrapper {
    width: 90%;
  }
  .about{
    display: flex;
    flex-direction: column;
    gap: 20px;
  }
  .about-content p{
    font-size: 20px;
    border: 1px solid rgb(204, 233, 252);
    width: 100%;
  }
  .order{
    width: 100%;
  }
  .order-component {
    display: flex;
    
    height: auto;
    flex-wrap: wrap;
    border: 1px solid #eeeeee;
    justify-content: space-evenly;
    box-shadow: 0.5px 0.5px 10px #e2e2e2;
    padding: 10%;
    position: relative;
    margin: 10% auto;
    box-sizing: border-box;
  }
  .button-wrapper{
    display: flex;
    flex-direction: column;
    gap: 10px;
  }
  .about small{
    text-align: center;
    font-size: 15px;
  }
  .article-2 {
    display: none;
  }
  .box-2:nth-child(2) {
    margin-left: 0;
  }
 
  .article-wrapper{
    width: 85%;
  }
}
@media (max-width:320px) {
  .order{
    width: 100%;
  }
  .order-component {
    display: flex;
    width: auto;
    height: auto;
    flex-wrap: wrap;
    border: 1px solid #eeeeee;
    justify-content: space-evenly;
    box-shadow: 0.5px 0.5px 10px #e2e2e2;
    padding: 10%;
    position: relative;
    margin: 10% auto;
    box-sizing: border-box;
  }  .menu-image-wrapper{
    overflow: hidden;
    width: 270px;
    box-sizing: border-box;
  }
  .main-course{
    overflow: hidden;
    box-sizing: border-box;
  }
  .menu-wrapper1 , .menu-wrapper2{
      width: 230px;
  }
  .menu p{
    display: none;
  }
  .btn-2{
    display:none;
  }
}